SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0003451: Intel 82574L and Intel 82551ER nic are not detected while installing - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003451Endian FirewallHardware related (kernel, drivers, hardware)public2011-01-28 11:132011-02-28 14:31
Reporterluca-endian 
Assigned Tora-endian 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.4.1 
Target VersionFixed in Version2.4.1 
Summary0003451: Intel 82574L and Intel 82551ER nic are not detected while installing
Description1. After the Install Program has partitioned the disk and installed all
the packages it asks for the IP Address for eth0
2. When I hit Enter and use the default IP address, an error occurs
saying "Couldn't bring up Interface".
3. If I press ALT-F3 (To go to shell mode) I can see an error saying :
/etc/network/interfaces: No-such-file-or-directory.
4. After that, the installation halts and I get a "Missing Operating
system" after reboot, probably because the Install program doesn't finish so
the GRUB boot loader isn't written correctly.

2.3.1 installation ISO still works perfectly for us.

Tried even with the latest 2.4 iso
(ENDIAN-UTM-SOFTWARE-APPLIANCE-DEMO-2.4.0-201101171738_iso.zip)

The difference from the first 2.4 ISO is that when running "lsmod | grep
e1000e" , I can see the module installed.

Still the installer can't bring the interface up, and the installation
fails.
Additional Informationlspci -v :

00:00.0 Host bridge: Intel Corporation Mobile 945GME Express Memory
Controller H
                                                               ub (rev 03)
        Subsystem: Intel Corporation Mobile 945GME Express Memory Controller
Hub
        Flags: bus master, fast devsel, latency 0
        Capabilities: [e0] Vendor Specific Information

00:02.0 VGA compatible controller: Intel Corporation Mobile 945GME Express
Integ
                                                         rated Graphics
Controller (rev 03) (prog-if 00 [VGA controller])
        Subsystem: Intel Corporation Mobile 945GME Express Integrated
Graphics C
                                                             ontroller
        Flags: bus master, fast devsel, latency 0, IRQ 9
        Memory at fdf00000 (32-bit, non-prefetchable) [size=512K]
        I/O ports at ff00 [size=8]
        Memory at d0000000 (32-bit, prefetchable) [size=256M]
        Memory at fdf80000 (32-bit, non-prefetchable) [size=256K]
        Capabilities: [90] Message Signalled Interrupts: 64bit- Queue=0/0
Enable
                                                         -
        Capabilities: [d0] Power Management version 2

00:1c.0 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 1
(rev 0
                                                         2) (prog-if 00
[Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
        I/O behind bridge: 0000b000-0000bfff
        Memory behind bridge: fd800000-fd8fffff
        Prefetchable memory behind bridge: 00000000fd500000-00000000fd500000
        Capabilities: [40] Express Root Port (Slot+) IRQ 0
        Capabilities: [80] Message Signalled Interrupts: 64bit- Queue=0/0
Enable
                                                         +
        Capabilities: [90] #0d [0000]
        Capabilities: [a0] Power Management version 2
        Capabilities: [100] Virtual Channel
        Capabilities: [180] Unknown (5)

00:1c.1 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 2
(rev 0
                                                         2) (prog-if 00
[Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
        I/O behind bridge: 0000a000-0000afff
        Memory behind bridge: fde00000-fdefffff
        Prefetchable memory behind bridge: 00000000fdd00000-00000000fdd00000
        Capabilities: [40] Express Root Port (Slot+) IRQ 0
        Capabilities: [80] Message Signalled Interrupts: 64bit- Queue=0/0
Enable
                                                         +
        Capabilities: [90] #0d [0000]
        Capabilities: [a0] Power Management version 2
        Capabilities: [100] Virtual Channel
        Capabilities: [180] Unknown (5)

00:1c.2 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 3
(rev 0
                                                         2) (prog-if 00
[Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
        I/O behind bridge: 0000e000-0000efff
        Memory behind bridge: fdc00000-fdcfffff
        Prefetchable memory behind bridge: 00000000fdb00000-00000000fdb00000
        Capabilities: [40] Express Root Port (Slot+) IRQ 0
        Capabilities: [80] Message Signalled Interrupts: 64bit- Queue=0/0
Enable
                                                         +
        Capabilities: [90] #0d [0000]
        Capabilities: [a0] Power Management version 2
        Capabilities: [100] Virtual Channel
        Capabilities: [180] Unknown (5)

00:1c.3 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 4
(rev 0
                                                         2) (prog-if 00
[Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=04, subordinate=04, sec-latency=0
        I/O behind bridge: 0000d000-0000dfff
        Memory behind bridge: fda00000-fdafffff
        Prefetchable memory behind bridge: 00000000fd900000-00000000fd900000
        Capabilities: [40] Express Root Port (Slot+) IRQ 0
        Capabilities: [80] Message Signalled Interrupts: 64bit- Queue=0/0
Enable
                                                         +
        Capabilities: [90] #0d [0000]
        Capabilities: [a0] Power Management version 2
        Capabilities: [100] Virtual Channel
        Capabilities: [180] Unknown (5)

00:1d.0 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI
Controller #
                                                               1 (rev 02)
(prog-if 00 [UHCI])
        Subsystem: Intel Corporation N10/ICH 7 Family USB UHCI Controller 0000001
        Flags: bus master, medium devsel, latency 0, IRQ 23
        I/O ports at fe00 [size=32]

00:1d.1 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI
Controller #
                                                               2 (rev 02)
(prog-if 00 [UHCI])
        Subsystem: Intel Corporation N10/ICH 7 Family USB UHCI Controller 0000002
        Flags: bus master, medium devsel, latency 0, IRQ 19
        I/O ports at fd00 [size=32]

00:1d.2 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI
Controller #
                                                               3 (rev 02)
(prog-if 00 [UHCI])
        Subsystem: Intel Corporation N10/ICH 7 Family USB UHCI Controller 0000003
        Flags: bus master, medium devsel, latency 0, IRQ 18
        I/O ports at fc00 [size=32]

00:1d.3 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI
Controller #
                                                               4 (rev 02)
(prog-if 00 [UHCI])
        Subsystem: Intel Corporation N10/ICH 7 Family USB UHCI Controller 0000004
        Flags: bus master, medium devsel, latency 0, IRQ 16
        I/O ports at fb00 [size=32]

00:1d.7 USB Controller: Intel Corporation N10/ICH 7 Family USB2 EHCI
Controller
                                                              (rev 02)
(prog-if 20 [EHCI])
        Subsystem: Intel Corporation N10/ICH 7 Family USB2 EHCI Controller
        Flags: bus master, medium devsel, latency 0, IRQ 23
        Memory at fdfff000 (32-bit, non-prefetchable) [size=1K]
        Capabilities: [50] Power Management version 2
        Capabilities: [58] Debug port

00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e2)
(prog-if
                                                            01 [Subtractive
decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=05, subordinate=05, sec-latency=32
        I/O behind bridge: 0000c000-0000cfff
        Memory behind bridge: fd700000-fd7fffff
        Prefetchable memory behind bridge: 00000000fd600000-00000000fd600000
        Capabilities: [50] #0d [0000]

00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge
(re
                                                       v 02)
        Subsystem: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge
        Flags: bus master, medium devsel, latency 0
        Capabilities: [e0] Vendor Specific Information

00:1f.1 IDE interface: Intel Corporation 82801G (ICH7 Family) IDE Controller
(re
                                                       v 02) (prog-if 8a
[Master SecP PriP])
        Subsystem: Intel Corporation 82801G (ICH7 Family) IDE Controller
        Flags: bus master, medium devsel, latency 0, IRQ 18
        I/O ports at 01f0 [size=8]
        I/O ports at 03f4 [size=1]
        I/O ports at 0170 [size=8]
        I/O ports at 0374 [size=1]
        I/O ports at fa00 [size=16]

00:1f.2 IDE interface: Intel Corporation 82801GBM/GHM (ICH7 Family) SATA IDE
Con
                                                       troller (rev 02)
(prog-if 8f [Master SecP SecO PriP PriO])
        Subsystem: Intel Corporation 82801GBM/GHM (ICH7 Family) SATA IDE
Control
                                                           ler
        Flags: bus master, 66MHz, medium devsel, latency 0, IRQ 19
        I/O ports at f900 [size=8]
        I/O ports at f800 [size=4]
        I/O ports at f700 [size=8]
        I/O ports at f600 [size=4]
        I/O ports at f500 [size=16]
        Memory at fdffe000 (32-bit, non-prefetchable) [size=1K]
        Capabilities: [70] Power Management version 2

00:1f.3 SMBus: Intel Corporation N10/ICH 7 Family SMBus Controller (rev 02)
        Subsystem: Intel Corporation N10/ICH 7 Family SMBus Controller
        Flags: medium devsel, IRQ 19
        I/O ports at 0500 [size=32]

01:00.0 Ethernet controller: Intel Corporation 82574L Gigabit Network
Connection
        Subsystem: Intel Corporation Unknown device 0000
        Flags: bus master, fast devsel, latency 0, IRQ 16
        Memory at fd8c0000 (32-bit, non-prefetchable) [size=128K]
        I/O ports at bf00 [size=32]
        Memory at fd8fc000 (32-bit, non-prefetchable) [size=16K]
        Capabilities: [c8] Power Management version 2
        Capabilities: [d0] Message Signalled Interrupts: 64bit+ Queue=0/0
Enable
                                                         -
        Capabilities: [e0] Express Endpoint IRQ 0
        Capabilities: [a0] MSI-X: Enable+ Mask- TabSize=3
        Capabilities: [100] Advanced Error Reporting

02:00.0 Ethernet controller: Intel Corporation 82574L Gigabit Network
Connection
        Subsystem: Intel Corporation Unknown device 0000
        Flags: bus master, fast devsel, latency 0, IRQ 17
        Memory at fdec0000 (32-bit, non-prefetchable) [size=128K]
        I/O ports at af00 [size=32]
        Memory at fdefc000 (32-bit, non-prefetchable) [size=16K]
        Capabilities: [c8] Power Management version 2
        Capabilities: [d0] Message Signalled Interrupts: 64bit+ Queue=0/0
Enable
                                                         -
        Capabilities: [e0] Express Endpoint IRQ 0
        Capabilities: [a0] MSI-X: Enable+ Mask- TabSize=3
        Capabilities: [100] Advanced Error Reporting

03:00.0 Ethernet controller: Intel Corporation 82574L Gigabit Network
Connection
        Subsystem: Intel Corporation Unknown device 0000
        Flags: bus master, fast devsel, latency 0, IRQ 18
        Memory at fdcc0000 (32-bit, non-prefetchable) [size=128K]
        I/O ports at ef00 [size=32]
        Memory at fdcfc000 (32-bit, non-prefetchable) [size=16K]
        Capabilities: [c8] Power Management version 2
        Capabilities: [d0] Message Signalled Interrupts: 64bit+ Queue=0/0
Enable
                                                         -
        Capabilities: [e0] Express Endpoint IRQ 0
        Capabilities: [a0] MSI-X: Enable+ Mask- TabSize=3
        Capabilities: [100] Advanced Error Reporting

04:00.0 Ethernet controller: Intel Corporation 82574L Gigabit Network
Connection
        Subsystem: Intel Corporation Unknown device 0000
        Flags: bus master, fast devsel, latency 0, IRQ 19
        Memory at fdac0000 (32-bit, non-prefetchable) [size=128K]
        I/O ports at df00 [size=32]
        Memory at fdafc000 (32-bit, non-prefetchable) [size=16K]
        Capabilities: [c8] Power Management version 2
        Capabilities: [d0] Message Signalled Interrupts: 64bit+ Queue=0/0
Enable
                                                         -
        Capabilities: [e0] Express Endpoint IRQ 0
        Capabilities: [a0] MSI-X: Enable+ Mask- TabSize=3
        Capabilities: [100] Advanced Error Reporting

05:04.0 Ethernet controller: Intel Corporation 8255xER/82551IT Fast Ethernet
Con
                                                       troller (rev 10)
        Subsystem: Intel Corporation Unknown device 0070
        Flags: bus master, medium devsel, latency 64, IRQ 16
        Memory at fd7ff000 (32-bit, non-prefetchable) [size=4K]
        I/O ports at cf00 [size=64]
        Memory at fd7c0000 (32-bit, non-prefetchable) [size=128K]
        Expansion ROM at fd600000 [disabled] [size=64K]
        Capabilities: [dc] Power Management version 2

TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0005606)
ra-endian (administrator)
2011-02-03 13:36

Hi Luca,

The Intel 82574L should be working with the e1000e driver. We have the latest version of that driver. The 82551ER need the e100 driver and the last release for that driver is 2006.

We have changed now the installer that the installation works even no working network card is detected. Can you retry with the latest build?

thanks
(0005770)
hoskuldur (reporter)
2011-02-28 14:25

Hi Luca and ra.

I can confirm that the installation process finishes with all interfaces recognized with the latest build, so this seems to be fixed now.

Regards,
Hoskuldur

- Issue History
Date Modified Username Field Change
2011-01-28 11:13 luca-endian New Issue
2011-01-28 11:13 luca-endian Customer Occurencies => 1
2011-02-03 13:36 ra-endian Note Added: 0005606
2011-02-03 13:36 ra-endian Assigned To => ra-endian
2011-02-03 13:36 ra-endian Status new => feedback
2011-02-28 14:25 hoskuldur Note Added: 0005770
2011-02-28 14:31 ra-endian Status feedback => closed
2011-02-28 14:31 ra-endian Resolution open => fixed
2011-02-28 14:31 ra-endian Fixed in Version => 2.4.1

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker